***************************
* PRO-DEMOCRACY PROTESTS  *
**** REPLICATION CODE  ****
***************************

******************************************
**FILE CREATES THE DATASET USED IN PAPER **
******************************************

********************************************
***MERGE GALLUP WORLDVIEW FILES TOGETHER ***
********************************************  

**NOTE THAT REVISED (NOT REVISED2) IS USED BELOW*

* For the GWP variables below [REVISED2], the category  "refused" have been removed from the figures. For [REVISED], the categories "don't know" and "refused" have been removed from the figures.
clear
use "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Data/Gallup Files/16386revised2.dta"
keep country year gv_honesty_n 
sort country year 
by country: gen gv_honesty_n_lag = gv_honesty_n[_n-1]
merge country year using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Data/Gallup Files/16389revised2.dta", keep (ec_economy_no) sort
drop _merge
sort country year 
by country: gen ec_economy_no_lag = ec_economy_no[_n-1]
merge country year using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Data/Gallup Files/16390revised2.dta", keep(ec_better_w) sort
drop _merge
sort country year
by country: gen ec_better_w_lag = ec_better_w[_n-1]
merge country year using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Data/Gallup Files/16407revised2.dta", keep (ec_living_d) sort
drop _merge
sort country year 
by country: gen ec_living_d_lag = ec_living_d[_n-1]
merge country year using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Data/Gallup Files/16408revised2.dta", keep(ec_livbetter_w) sort
drop _merge
sort country year
by country: gen ec_livbetter_w_lag = ec_livbetter_w[_n-1]
merge country year using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Data/Gallup Files/16391revised2.dta", keep(gv_leader_d) sort
drop _merge
sort country year  
by country: gen gv_leader_d_lag = gv_leader_d[_n-1]

merge country year using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Data/Gallup Files/16409revised.dta", keep(cv_cell_y) sort
drop _merge
sort country year 
by country: gen cv_cell_y_lag = cv_cell_y[_n-1]
merge country year using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Data/Gallup Files/16415revised.dta", keep(cv_internet_y) sort
drop _merge
sort country year 
by country: gen cv_internet_y_lag = cv_internet_y[_n-1]
merge country year using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Data/Gallup Files/16456revised2.dta", keep(cv_roads_y) sort
drop _merge
sort country year 
by country: gen cv_roads_y_lag = cv_roads_y[_n-1]
merge country year using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Data/Gallup Files/16479.dta", keep(index_civic) sort
rename index_civic cv_index_civic
drop _merge 
sort country year 

do  "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Data/ID/UNid.do" 
save "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Data/Gallup Files/APSR_GWP.dta", replace
clear

 
**Merge Files**
clear
set mem 500m
use "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Data/Protests (Brancati)/APSR_protestALL.dta"
 sort id year
 bysort id: gen protest_ALL_lag = protest_ALL[_n-1]
merge id year using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Data/Protests (Brancati)/APSR_PostElectionProtest.dta", sort  
drop _merge
merge id using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Data/ID/UNregion.dta", sort uniqusing keep (region)
drop _merge 
**The incumbent data has been coded for only those year for which the data on the remaining variables is not missing.If necessary, go back and check that nothing is missing. 
merge id year using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Data/Election Year/APSR_eyear", sort uniqusing 
recode eyear . = 0  
*NELDA uses Gleditsch and Ward (1999) like me to identify full set of independent states.  
drop _merge 
merge id year using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Data/Incumbent/INCUMBENT_YR.dta", sort uniqusing keep (iloss)
drop _merge
merge id year using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Data/Gallup Files/APSR_GWP.dta", sort uniqusing
drop _merge
merge id year using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Data/Democratic Length/APSR_demlength2010.dta", sort uniqusing
drop _merge
merge id year using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Data/WDI/APSR_WDI.dta", sort uniqusing
  label variable wdi_oda "Do Not Use: Countries that did not receive aid and missing data are both coded missing." 
drop _merge
merge id year using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Data/USAID/APSR_USAID_DemAssistDataYRSUM.dta", sort uniqusing keep(DemAidAppropriations)
rename DemAidAppropriations demaid
recode demaid . = 0 if year >= 2006
replace demaid = demaid/100000
**All countries for which no USGOVT did not indicate that aid was given in a year are coded 0. 
drop _merge
merge id year using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Data/PolityIV2010/APSR_polity2Protest2011.dta", sort uniqmaster
drop _merge 
merge id year using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Data/FedUp/APSR_FedUp2011_V2.dta", sort 
drop _merge
merge id year using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Data/FedUp/APSR_FedUpAllYRS.dta", sort keep (seqYR)
drop _merge
merge id year using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Data/Media Freedom/CV_FHmediaAPSR.dta", sort uniqusing
drop _merge
merge id year using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Data/Coups/APSR_coup.dta", sort uniqusing
drop _merge
*merge electionid using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Data/PRIO/PostElectionCivilWars.dta", sort uniqusing
*drop _merge
**If elections take place on different month in the same year, only the values for the first month are recorded. 
merge id year using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Data/Weather/APSR_Weather_Final_YR.dta", sort uniqusing
drop _merge
keep if year >2006
drop if year == 2012
order id year
sort id year
*Temporary (P2006 protests from NELDA. Delete after recoding 2006. Lag for 2007). 
merge id year using "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Data/HistoryofProtests/y2006nelda.dta", sort update
 
*Drop all countries for which protests are not measured for this period. 
bysort id: egen protest_sum = sum(protest_ALL), missing
drop if protest_sum == .

tab region, gen(r)
rename r1 Africa
rename r2 Asia
rename r3 Europe
rename r4 LatinAmerica
rename r5 NorthAmerica
rename r6 Oceania

rename noaandccmean  temperature
rename noaandcc_precipitationtotal precipitation 

drop wdi_tax wdi_NNI wdi_Oilrents wdi_NNI_lag wdi_tax_lag wdi_Oilrents_lag  wdi_oda wdi_oda_lag protest_sum
*drop wdi_GDPcapGrowth wdi_GDPcapGrowth_lag ec_livbetter_w ec_livbetter_w_lag ec_better_w ec_better_w_lag 
*wdi_unemploy wdi_unemploy_lag wdi_PPP wdi_PPP_lag wdi_gini wdi_gini_lag
*drop protest_postelection 

order id year country region  protest_major protest_minor protest_ALL protest_ALL_lag ec_living_d ec_living_d_lag ec_economy_no ec_economy_no_lag gv_leader_d gv_leader_d_lag wdi_infl wdi_infl_lag wdi_gdp wdi_gdp_lag wdi_growth wdi_growth_lag wdi_employ wdi_employ_lag wdi_literacy wdi_literacy_lag wdi_education wdi_education_lag wdi_urban wdi_urban_lag wdi_RoadDensity wdi_RoadDensity_lag wdi_RoadPaved wdi_RoadPaved_lag wdi_telephone wdi_telephone_lag wdi_sInternet wdi_sInternet_lag wdi_InternetUsers wdi_InternetUsers_lag gv_honesty_n gv_honesty_n_lag polity2 polity2diff polity2lag  pvdem00 pvdem05 seq seqYR eyear iloss coup coup_ALL cv_fhmedia precipitation temperature



**LABEL VARIABLES**

label variable protest_ALL "Protests-All"
label variable protest_ALL_lag "Protests-All (lag)"
label variable protest_minor "Protests-Minor"
label variable protest_major "Protests-Minor"
label variable ec_living_d "Standard of Living-Dissatisfaction"
label variable ec_living_d_lag "Standard of Living-Dissatisfaction (lag)"
*label variable ec_livbetter_w "Future Standard of Living-Worse"
*label variable ec_livbetter_w_lag "Future Standard of Living-Worse (lag) 
label variable ec_economy_no "Economic Conditions-Poor" 
label variable ec_economy_no_lag "Economic Conditions-Poor (lag)" 
*label variable ec_better_w "National Economy-Worse"
*label variable ec_better_w_lag "National Economy-Worse (lag) 
label variable gv_leader_d "Job Rating-Dissatisfied"
label variable gv_leader_d_lag "Job Rating-Dissatisfied (lag)"
label variable wdi_infl_lag "Inflation, consumer prices (annual %) (lag)"
label variable wdi_gdp_lag "GDP (constant 2000 US$) (lag)"
gen lnwdi_gdp_lag = ln(wdi_gdp_lag)
label variable lnwdi_gdp_lag "Natural Log, GDP (constant 2000 US$) (lag)"
label variable wdi_growth_lag "GDP growth (annual %) (lag)"
label variable wdi_GDPcapGrowth_lag "GDP growth capita (annual %) (lag)"
gen lnwdi_GDPcap_lag = ln(wdi_GDPcap_lag)
  label variable lnwdi_GDPcap_lag  "Natural Log, GDP per capita (lag)"
label variable wdi_employ_lag "Employment to population ratio, 15+, total (percentage) (lag)" 
label variable wdi_literacy_lag "Literacy rate, adult total (percentage of people ages 15 and above) (lag)"
label variable wdi_education_lag "Primary education, duration (years) (lag)"
label variable wdi_urban_lag "Urban population (percentage of total) (lag)"
label variable wdi_RoadDensity_lag "Road density (km of road per 100 sq. km of land area) (lag)"
label variable wdi_RoadPaved_lag "Roads, paved (percentage of total roads) (lag)"
label variable wdi_telephone_lag "Telephone lines (per 100 people) (lag)"
label variable wdi_sInternet_lag "Secure Internet servers (per 1 million people) (lag)" 
label variable wdi_InternetUsers_lag "Internet users (per 100 people) (lag)"
label variable gv_honesty_n "Honesty of Elections-No"
label variable gv_honesty_n_lag "Honesty of Elections-No (lag)"
label variable polity2 "Polity2 Index"
label variable polity2diff "Polity2 Index (change)"
label variable polity2lag "Polity2 Index (lag)"
label variable pvdem00 "Democratic History (# post-45 years,  Polity2 0 or above)"
label variable pvdem05 "Democratic History (# post-45 years, Polity2 5 or above)"
label variable seq "Consecutive Non-Democratic Elections"
label variable seqYR "Consecutive Non-Democratic Years"
label variable eyear "Election Year"
label variable iloss "Incumbent Loss Elections"
label variable coup "Coup (successful)"
label variable coup_ALL "Coup (successful and unsuccessful)"
  *label define coup 1 "unsuccessful coup" 2 "successful coup"
  *label values coup_ALL coup
gen coup_attempt = 1 if (coup_ALL == 1 | coup_ALL == 2) 
label variable coup_attempt "Coup (attemtp, either successful or unsuccessful)"
recode coup_attempt . = 0 
label variable cv_fhmedia "Freedom of Media"
label variable precipitation "Precipitation"
label variable temperature "Temperature"
label variable cv_cell_y "Cell Phones (Gallup)
label variable cv_cell_y_lag "Cell Phones (Gallup) (lag)"
label variable cv_internet_y  "Internet (Gallup)"
label variable cv_internet_y_lag "Internet (Gallup) (lag)"
label variable cv_roads_y_lag "Roads-Satisfaction(lag)"
label variable cv_roads_y "Roads-Satisfaction"
label variable cv_index_civic "Civic Engagement Index" 
label variable demaid "USA Foreign Aid" 
gen lndemaid = ln(demaid) 
 label variable lndemaid "Natural Log, USA Foreign Aid" 

save "/Users/brancati/Documents/Working Papers/Active/POSTElectionProtest/Analysis/APSR/APSR_PCKTBK.dta", replace
